| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
SoListenerGainElement Class Reference
Element Classes

The SoListenerGainElement class stores the SoListener gain during a scene graph traversal.This gain is set by SoListener nodes during audio rendering. The SoListenerGainElement is used when the SoVRMLSound nodes render themselves. More...

`#include <Inventor/elements/SoListenerGainElement.h>`

Inheritance diagram for SoListenerGainElement:

## Public Member Functions

virtual void | init (SoState *state)
Public Member Functions inherited from SoFloatElement
virtual SbBool | matches (const SoElement *element) const
virtual SoElement * | copyMatchInfo (void) const
virtual void | print (FILE *file) const
virtual void | setElt (float value)
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
virtual void | push (SoState *state)
virtual void | pop (SoState *state, const SoElement *prevTopElement)
void | setDepth (const int depth)
int | getDepth (void) const
virtual | ~SoElement ()

## Static Public Member Functions

static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | set (SoState *const state, SoNode *const node, const float gain)
static void | set (SoState *const state, const float gain)
static float | get (SoState *const state)
Static Public Member Functions inherited from SoFloatElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initClass (void)
static void | set (const int stackIndex, SoState *const state, SoNode *const node, const float value)
static void | set (const int stackIndex, SoState *const state, const float value)
static float | get (const int stackIndex, SoState *const state)
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions

virtual | ~SoListenerGainElement ()
Protected Member Functions inherited from SoFloatElement
virtual | ~SoFloatElement ()
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
virtual void | captureThis (SoState *state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Additional Inherited Members

Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Protected Attributes inherited from SoFloatElement
float | data
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoListenerGainElement class stores the SoListener gain during a scene graph traversal.

This gain is set by SoListener nodes during audio rendering. The SoListenerGainElement is used when the SoVRMLSound nodes render themselves.

Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
  Coin 2.0

## Constructor & Destructor Documentation

SoListenerGainElement::~SoListenerGainElement | ( | void | ) |  |

protectedvirtual

The destructor.

## Member Function Documentation

void * SoListenerGainElement::createInstance | ( | void | ) |  |

static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoListenerGainElement::init | ( | SoState * | state) |  |

virtual

This function initializes the element type in the given SoState. It is called for the first element of each enabled element type in SoState objects.

Reimplemented from SoFloatElement.

void SoListenerGainElement::set | ( | SoState *const | state,
|  | SoNode *const | node,
|  | const float | gain
| ) |  |

static

Sets the value of this element.

void SoListenerGainElement::set | ( | SoState *const | state,
|  | const float | gain
| ) |  |

static

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

float SoListenerGainElement::get | ( | SoState *const | state) |  |

static

Returns the element value.

The documentation for this class was generated from the following files:

- SoListenerGainElement.h
- SoListenerGainElement.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.